GNU bug report logs - #21234
25.0.50; emacs hangs in XIfEvent

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Nicolas Richard <youngfrog@HIDDEN>; Keywords: moreinfo; merged with #6842, #20036, #27839; dated Tue, 11 Aug 2015 12:14:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21234 <at> debbugs.gnu.org:


Received: (at 21234) by debbugs.gnu.org; 7 May 2022 11:48:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 07:48:17 2022
Received: from localhost ([127.0.0.1]:50656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnIv3-0000f7-BJ
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 07:48:17 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1nnIv1-0000ek-ES; Sat, 07 May 2022 07:48:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=rtu/Lc80Ysw7jerO+epCnU2plIzTuuJqVn1E+ka6hPk=; b=Cuz88siH0zhLKc2gzs+huVVgQj
 mzC4JmspkpztLC4lxDETFT9bJfGWlUMavgFPShIcEqoZ1FpTR5+XQKmt9QWeMwJf6eJuE0df41qAC
 nmsUEAh90k+OKc2QfTxwKFPOn3Vtil0eZNnXgu8ZvcCw/2i+jw/2M7xTqD61RzlqLxt4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nnIut-0002JR-0N; Sat, 07 May 2022 13:48:09 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Nicolas Richard <youngfrog@HIDDEN>
Subject: Re: bug#27839: crash report
References: <86si7quiow.fsf@HIDDEN>
X-Now-Playing: Neil Young with Crazy Horse's _Archives Vol. II (10): Odeon
 Budokan (1976)_: "Don't Cry No Tears"
Date: Sat, 07 May 2022 13:48:03 +0200
In-Reply-To: <86si7quiow.fsf@HIDDEN> (Nicolas Richard's message of
 "Tue, 11 Aug 2015 14:13:19 +0200")
Message-ID: <87sfplr2bw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Nicolas Richard <youngfrog@HIDDEN> writes: > I
 regularly
 (a few times every week or so) have an emacs that is not > responding. It
 seems to happen in a function (outside emacs) named > XIfEvent, i.e. if I
 do "fin" in gdb, it'll work until I ge [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21234
Cc: 27839 <at> debbugs.gnu.org, 21234 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Nicolas Richard <youngfrog@HIDDEN> writes:

> I regularly (a few times every week or so) have an emacs that is not
> responding. It seems to happen in a function (outside emacs) named
> XIfEvent, i.e. if I do "fin" in gdb, it'll work until I get to XIfEvent.
>
> It happens on my laptop but I don't think I had the problem on my
> desktop even though I use a similar setup there. Here's a full bt :

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

There was a number of similar reports about this at the time, but none
in the last six years, apparently.  Do you still see this problem in
recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21234; Package emacs. Full text available.
Forcibly Merged 6842 20036 21234 27839. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 6842 20036 21234. Request was from Nicolas Richard <nrichard@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21234 <at> debbugs.gnu.org:


Received: (at 21234) by debbugs.gnu.org; 12 Aug 2015 12:32:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 12 08:32:33 2015
Received: from localhost ([127.0.0.1]:53913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZPVCr-0000Sd-Jn
	for submit <at> debbugs.gnu.org; Wed, 12 Aug 2015 08:32:33 -0400
Received: from mxin.ulb.ac.be ([164.15.128.112]:22719)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <nrichard@HIDDEN>)
 id 1ZPVCp-0000SP-7Z; Wed, 12 Aug 2015 08:32:31 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ap4BAKY7y1WkD4Xx/2dsb2JhbAANUId8v2GCVgKCFQEBAQEBAYUvAQEDASNVAQULCxoCBRYLAgIJAwIBAgFFBg0IAQGIIrk9cZYbAQEBAQEBAQEBAQEBAQEBARyBIooxhQkHgmmBQwEEkguDCJVFkTiEJYM7AQEB
Received: from mathsrv4.ulb.ac.be (HELO [172.19.79.241]) ([164.15.133.241])
 by smtp.ulb.ac.be with ESMTP; 12 Aug 2015 14:32:30 +0200
Subject: Re: [Bulk] Re: bug#21234: 25.0.50; emacs hangs in XIfEvent
To: Eli Zaretskii <eliz@HIDDEN>
References: <86si7quiow.fsf@HIDDEN> <837fp1q2c2.fsf@HIDDEN>
From: Nicolas Richard <nrichard@HIDDEN>
X-Enigmail-Draft-Status: N1110
Message-ID: <55CB3CDF.9000002@HIDDEN>
Date: Wed, 12 Aug 2015 14:32:31 +0200
User-Agent: Mozilla/5.0 (X11; Linux i686; rv:38.0) Gecko/20100101
 Thunderbird/38.1.0
MIME-Version: 1.0
In-Reply-To: <837fp1q2c2.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21234
Cc: 21234 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

merge 20036 21234
thanks


> There are a few similar bug reports already, for example #20036 and
> #20134.

Indeed, 20036 (marked as duplicate of #6842) seems very close. I'm merging this one to it.

In #20134 the backtraces (except the first) are similar also, but not sure if it should be merged.

FWIW bug#16676 (marked as done because never happened again) mentions XIfEvent and xic_set_preeditarea too, but otherwise looks a bit different.

Nico.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21234; Package emacs. Full text available.

Message received at 21234 <at> debbugs.gnu.org:


Received: (at 21234) by debbugs.gnu.org; 11 Aug 2015 15:20:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 11 11:20:29 2015
Received: from localhost ([127.0.0.1]:53405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZPBLo-00078v-0B
	for submit <at> debbugs.gnu.org; Tue, 11 Aug 2015 11:20:28 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:42604)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1ZPBLl-00078l-5p
 for 21234 <at> debbugs.gnu.org; Tue, 11 Aug 2015 11:20:26 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0NSX00800BP8JE00@HIDDEN> for 21234 <at> debbugs.gnu.org;
 Tue, 11 Aug 2015 18:20:23 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NSX0081HBXZHA40@HIDDEN>;
 Tue, 11 Aug 2015 18:20:23 +0300 (IDT)
Date: Tue, 11 Aug 2015 18:20:13 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21234: 25.0.50; emacs hangs in XIfEvent
In-reply-to: <86si7quiow.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Nicolas Richard <youngfrog@HIDDEN>
Message-id: <837fp1q2c2.fsf@HIDDEN>
References: <86si7quiow.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21234
Cc: 21234 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Nicolas Richard <youngfrog@HIDDEN>
> Date: Tue, 11 Aug 2015 14:13:19 +0200
> 
> I regularly (a few times every week or so) have an emacs that is not
> responding. It seems to happen in a function (outside emacs) named
> XIfEvent, i.e. if I do "fin" in gdb, it'll work until I get to XIfEvent.
> 
> It happens on my laptop but I don't think I had the problem on my
> desktop even though I use a similar setup there. Here's a full bt :
> 
> #0  0xb76fe428 in __kernel_vsyscall ()
> No symbol table info available.
> #1  0xb67c3c8b in poll () at ../sysdeps/unix/syscall-template.S:81
> No locals.
> #2  0xb667e3a8 in ?? () from /usr/lib/i386-linux-gnu/libxcb.so.1
> No symbol table info available.
> #3  0xb6680394 in xcb_wait_for_event () from /usr/lib/i386-linux-gnu/libxcb.so.1

There are a few similar bug reports already, for example #20036 and
#20134.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21234; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Aug 2015 12:13:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 11 08:13:46 2015
Received: from localhost ([127.0.0.1]:52961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZP8R7-0001EF-2I
	for submit <at> debbugs.gnu.org; Tue, 11 Aug 2015 08:13:46 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35021)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <youngfrog@HIDDEN>) id 1ZP8R4-0001E7-EV
 for submit <at> debbugs.gnu.org; Tue, 11 Aug 2015 08:13:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <youngfrog@HIDDEN>) id 1ZP8R1-0002ly-Ns
 for submit <at> debbugs.gnu.org; Tue, 11 Aug 2015 08:13:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.7 required=5.0 tests=BAYES_50,FILL_THIS_FORM,
 FILL_THIS_FORM_LOAN autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52378)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <youngfrog@HIDDEN>) id 1ZP8R1-0002lu-Kk
 for submit <at> debbugs.gnu.org; Tue, 11 Aug 2015 08:13:39 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45003)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <youngfrog@HIDDEN>) id 1ZP8Qy-0003Hw-Nx
 for bug-gnu-emacs@HIDDEN; Tue, 11 Aug 2015 08:13:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <youngfrog@HIDDEN>) id 1ZP8Qp-0002kL-BD
 for bug-gnu-emacs@HIDDEN; Tue, 11 Aug 2015 08:13:36 -0400
Received: from mxin.ulb.ac.be ([164.15.128.112]:12560)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <youngfrog@HIDDEN>) id 1ZP8Qo-0002jK-Mu
 for bug-gnu-emacs@HIDDEN; Tue, 11 Aug 2015 08:13:27 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AjEFAHDmyVWkD4XH/2dsb2JhbABdg29pgySmaQEGBZVDiAQBAQEBAQGBC4RNbh0CBSECEQEEiQqpDI9jllOBIoR9iVeDVIFDBYxYh3s9lUGRMyaBSwEKAQEBgic8M4JMAQEB
Received: from pno-math-199.ulb.ac.be (HELO Aurora) ([164.15.133.199])
 by smtp.ulb.ac.be with ESMTP; 11 Aug 2015 14:13:22 +0200
From: Nicolas Richard <youngfrog@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50; emacs hangs in XIfEvent
Date: Tue, 11 Aug 2015 14:13:19 +0200
Message-ID: <86si7quiow.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

I regularly (a few times every week or so) have an emacs that is not
responding. It seems to happen in a function (outside emacs) named
XIfEvent, i.e. if I do "fin" in gdb, it'll work until I get to XIfEvent.

It happens on my laptop but I don't think I had the problem on my
desktop even though I use a similar setup there. Here's a full bt :

#0  0xb76fe428 in __kernel_vsyscall ()
No symbol table info available.
#1  0xb67c3c8b in poll () at ../sysdeps/unix/syscall-template.S:81
No locals.
#2  0xb667e3a8 in ?? () from /usr/lib/i386-linux-gnu/libxcb.so.1
No symbol table info available.
#3  0xb6680394 in xcb_wait_for_event () from /usr/lib/i386-linux-gnu/libxcb=
.so.1
No symbol table info available.
#4  0xb73bb447 in _XReadEvents (dpy=3Ddpy@entry=3D0xa499228) at ../../src/x=
cb_io.c:401
        event =3D <optimized out>
        response =3D <optimized out>
        serial =3D 164443
#5  0xb73a2bca in XIfEvent (dpy=3D0xa499228, event=3Devent@entry=3D0xbfb398=
ac, predicate=3Dpredicate@entry=3D0xb73ec0f0 <_CheckCMEvent>,=20
    arg=3Darg@entry=3D0xa615420 ",kK\267\310B\367\b\020\205{\n(\222I\n\350G=
\362\b=D8=8EI\n\270\221I\n(Ua\n\030pm\n") at ../../src/IfEvent.c:68
        qelt =3D <optimized out>
        prev =3D 0x11970808
        qe_serial =3D 164442
#6  0xb73ec8bb in _XimXRead (im=3D0xa615420, recv_buf=3D0xbfb3a350 "", buf_=
len=3D2048, ret_len=3D0xbfb3996c) at ../../../../modules/im/ximcp/imTrX.c:4=
76
        ev =3D 0xbfb398ac
        event =3D {
          type =3D 0,=20
          xany =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0
          },=20
          xkey =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            root =3D 0,=20
            subwindow =3D 0,=20
            time =3D 0,=20
            x =3D 0,=20
            y =3D 0,=20
            x_root =3D 0,=20
            y_root =3D 0,=20
            state =3D 0,=20
            keycode =3D 0,=20
            same_screen =3D 0
          },=20
          xbutton =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            root =3D 0,=20
            subwindow =3D 0,=20
            time =3D 0,=20
            x =3D 0,=20
            y =3D 0,=20
            x_root =3D 0,=20
            y_root =3D 0,=20
            state =3D 0,=20
            button =3D 0,=20
            same_screen =3D 0
          },=20
          xmotion =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            root =3D 0,=20
            subwindow =3D 0,=20
            time =3D 0,=20
            x =3D 0,=20
            y =3D 0,=20
            x_root =3D 0,=20
            y_root =3D 0,=20
            state =3D 0,=20
            is_hint =3D 0 '\000',=20
            same_screen =3D 0
          },=20
          xcrossing =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            root =3D 0,=20
            subwindow =3D 0,=20
            time =3D 0,=20
            x =3D 0,=20
            y =3D 0,=20
            x_root =3D 0,=20
            y_root =3D 0,=20
            mode =3D 0,=20
            detail =3D 0,=20
            same_screen =3D 0,=20
            focus =3D 0,=20
            state =3D 0
          },=20
          xfocus =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            mode =3D 0,=20
            detail =3D 0
          },=20
          xexpose =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            x =3D 0,=20
            y =3D 0,=20
            width =3D 0,=20
            height =3D 0,=20
            count =3D 0
          },=20
          xgraphicsexpose =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            drawable =3D 0,=20
            x =3D 0,=20
            y =3D 0,=20
            width =3D 0,=20
            height =3D 0,=20
            count =3D 0,=20
            major_code =3D 0,=20
            minor_code =3D 0
          },=20
          xnoexpose =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            drawable =3D 0,=20
            major_code =3D 0,=20
            minor_code =3D 0
          },=20
          xvisibility =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            state =3D 0
          },=20
          xcreatewindow =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            parent =3D 0,=20
            window =3D 0,=20
            x =3D 0,=20
            y =3D 0,=20
            width =3D 0,=20
            height =3D 0,=20
            border_width =3D 0,=20
            override_redirect =3D 0
          },=20
          xdestroywindow =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            event =3D 0,=20
            window =3D 0
          },=20
          xunmap =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            event =3D 0,=20
            window =3D 0,=20
            from_configure =3D 0
          },=20
          xmap =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            event =3D 0,=20
            window =3D 0,=20
            override_redirect =3D 0
          },=20
          xmaprequest =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            parent =3D 0,=20
            window =3D 0
          },=20
          xreparent =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            event =3D 0,=20
            window =3D 0,=20
            parent =3D 0,=20
            x =3D 0,=20
            y =3D 0,=20
            override_redirect =3D 0
          },=20
          xconfigure =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            event =3D 0,=20
            window =3D 0,=20
            x =3D 0,=20
            y =3D 0,=20
            width =3D 0,=20
            height =3D 0,=20
            border_width =3D 0,=20
            above =3D 0,=20
            override_redirect =3D 0
          },=20
          xgravity =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            event =3D 0,=20
            window =3D 0,=20
            x =3D 0,=20
            y =3D 0
          },=20
          xresizerequest =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            width =3D 0,=20
            height =3D 0
          },=20
          xconfigurerequest =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            parent =3D 0,=20
            window =3D 0,=20
            x =3D 0,=20
            y =3D 0,=20
            width =3D 0,=20
            height =3D 0,=20
            border_width =3D 0,=20
            above =3D 0,=20
            detail =3D 0,=20
            value_mask =3D 0
          },=20
          xcirculate =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            event =3D 0,=20
            window =3D 0,=20
            place =3D 0
          },=20
          xcirculaterequest =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            parent =3D 0,=20
            window =3D 0,=20
            place =3D 0
          },=20
          xproperty =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            atom =3D 0,=20
            time =3D 0,=20
            state =3D 0
          },=20
          xselectionclear =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            selection =3D 0,=20
            time =3D 0
          },=20
          xselectionrequest =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            owner =3D 0,=20
            requestor =3D 0,=20
            selection =3D 0,=20
            target =3D 0,=20
            property =3D 0,=20
            time =3D 0
          },=20
          xselection =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            requestor =3D 0,=20
            selection =3D 0,=20
            target =3D 0,=20
            property =3D 0,=20
            time =3D 0
          },=20
          xcolormap =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            colormap =3D 0,=20
            new =3D 0,=20
            state =3D 0
          },=20
          xclient =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            message_type =3D 0,=20
            format =3D 0,=20
            data =3D {
              b =3D '\000' <se r\377\377\377\377\377\377\377\377p\377\377\3=
77\377\377\377\377\377te 19 fois>,=20
              s =3D {0, 0, 0, 0, 0, 0, 0, 0, 0, 0},=20
              l =3D {0, 0, 0, 0, 0}
            }
          },=20
          xmapping =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            request =3D 0,=20
            first_keycode =3D 0,=20
            count =3D 0
          },=20
          xerror =3D {
            type =3D 0,=20
            display =3D 0x0,=20
            resourceid =3D 0,=20
            serial =3D 0,=20
            error_code =3D 0 '\000',=20
            request_code =3D 0 '\000',=20
            minor_code =3D 0 '\000'
          },=20
          xkeymap =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            window =3D 0,=20
            key_vector =3D '\000' <se r\377\377\377\377\377\377\377\377p\37=
7\377\377\377\377\377\377\377te 31 fois>
          },=20
          xgeneric =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            extension =3D 0,=20
            evtype =3D 0
          },=20
          xcookie =3D {
            type =3D 0,=20
            serial =3D 0,=20
            send_event =3D 0,=20
            display =3D 0x0,=20
            extension =3D 0,=20
            evtype =3D 0,=20
            cookie =3D 0,=20
            data =3D 0x0
          },=20
          pad =3D {0 <repeats 24 times>}
        }
        len =3D 0
        spec =3D <optimized out>
        arg =3D <optimized out>
#7  0xb73ed810 in _XimReadData (im=3Dim@entry=3D0xa615420, len=3Dlen@entry=
=3D0xbfb399be, buf=3Dbuf@entry=3D0xbfb3a350 "", buf_size=3Dbuf_size@entry=
=3D2048)
    at ../../../../modules/im/ximcp/imTransR.c:165
        hold_buf =3D <optimized out>
        tmp =3D <optimized out>
        data_len =3D 0
        packet_size =3D <optimized out>
        ret_len =3D 0
        i =3D <optimized out>
#8  0xb73edb1a in _XimRead (im=3Dim@entry=3D0xa615420, len=3Dlen@entry=3D0x=
bfb39a46, buf=3Dbuf@entry=3D0xbfb3a350 "", buf_size=3Dbuf_size@entry=3D2048=
,=20
    predicate=3Dpredicate@entry=3D0xb73da5f0 <_XimSetICValuesCheck>, arg=3D=
arg@entry=3D0xa7b8510 "") at ../../../../modules/im/ximcp/imTransR.c:235
        read_len =3D -18626
        ret_code =3D <optimized out>
#9  0xb73db4ce in _XimProtoSetICValues (xic=3D0xa7b8510, arg=3D<optimized o=
ut>) at ../../../../modules/im/ximcp/imDefIc.c:778
        ic =3D 0xa7b8510
        im =3D 0xa615420
        ic_values =3D {
          input_style =3D 1028,=20
          client_window =3D 18874567,=20
          focus_window =3D 18874567,=20
          filter_events =3D 0,=20
          geometry_callback =3D {
            client_data =3D 0x0,=20
            callback =3D 0x0
          },=20
          res_name =3D 0x0,=20
          res_class =3D 0x0,=20
          destroy_callback =3D {
            client_data =3D 0x0,=20
            callback =3D 0x0
          },=20
          preedit_state_notify_callback =3D {
            client_data =3D 0x0,=20
            callback =3D 0x0
          },=20
          string_conversion_callback =3D {
            client_data =3D 0x0,=20
            callback =3D 0x0
          },=20
          string_conversion =3D {
            length =3D 0,=20
            feedback =3D 0x0,=20
            encoding_is_wchar =3D 0,=20
            string =3D {
              mbs =3D 0x0,=20
              wcs =3D 0x0
            }
          },=20
          reset_state =3D 0,=20
          hotkey =3D 0x0,=20
          hotkey_state =3D 0,=20
          preedit_attr =3D {
            area =3D {
              x =3D 0,=20
              y =3D 0,=20
              width =3D 0,=20
              height =3D 0
            },=20
            area_needed =3D {
              x =3D 0,=20
              y =3D 0,=20
              width =3D 0,=20
              height =3D 0
            },=20
            spot_location =3D {
              x =3D 279,=20
              y =3D 686
            },=20
            colormap =3D 0,=20
            std_colormap =3D 0,=20
            foreground =3D 0,=20
            background =3D 16777215,=20
            background_pixmap =3D 0,=20
            fontset =3D 0xa7ae268,=20
            line_spacing =3D 0,=20
            cursor =3D 0,=20
            start_callback =3D {
              client_data =3D 0x0,=20
              callback =3D 0x0
            },=20
            done_callback =3D {
              client_data =3D 0x0,=20
              callback =3D 0x0
            },=20
            draw_callback =3D {
              client_data =3D 0x0,=20
              callback =3D 0x0
            },=20
            caret_callback =3D {
              client_data =3D 0x0,=20
              callback =3D 0x0
            },=20
            preedit_state =3D 0,=20
            state_notify_callback =3D {
              client_data =3D 0x0,=20
              callback =3D 0x0
            }
          },=20
          status_attr =3D {
            area =3D {
              x =3D 0,=20
              y =3D 0,=20
              width =3D 0,=20
              height =3D 0
            },=20
            area_needed =3D {
              x =3D 0,=20
              y =3D 0,=20
              width =3D 0,=20
              height =3D 0
            },=20
            colormap =3D 0,=20
            std_colormap =3D 0,=20
            foreground =3D 0,=20
            background =3D 0,=20
            background_pixmap =3D 0,=20
            fontset =3D 0x0,=20
            line_spacing =3D 0,=20
            cursor =3D 0,=20
            start_callback =3D {
              client_data =3D 0x0,=20
              callback =3D 0x0
            },=20
            done_callback =3D {
              client_data =3D 0x0,=20
              callback =3D 0x0
            },=20
            draw_callback =3D {
              client_data =3D 0x0,=20
              callback =3D 0x0
            }
          }
        }
        len =3D 24
        buf_s =3D <optimized out>
        tmp =3D <optimized out>
        tmp_buf32 =3D {327734, 131074, 12, 524622, 262488, 44957975, 321621=
9016, 136917738, 141939140, 37080, 3216219064, 136178778, 139416368,=20
          2684354560, 0, 136180931, 139416368, 139416368, 3216219080, 13617=
9518, 139416368, 2684354560, 5, 142089024, 139416368, 2684354560,=20
          139416368, 141272859, 139416416, 2147483648, 141272785, 321622094=
0, 139416368, 2684354560, 139416368, 2147483648, 139416432, 2684354560,=20
          3216219272, 137111809, 139416416, 2147483648, 139416432, 26843545=
60, 11, 1073741824, 257, 1073741824, 1, 3216220072, 0, 0, 11, 1073741824,=20
          139416368, 2684354560, 139416368, 139416368, 3216219240, 13618972=
7, 139416368, 13, 5, 136178778, 257, 1073741824, 0, 0, 205880360,=20
          139416368, 3216219272, 136190003, 139416368, 2684354560, 12, 1, 0=
, 2684354560, 3216219560, 137109995, 173960596, 2684354560, 1,=20
          3216220064, 205880360, 2684354560, 3216219368, 136178778, 2058803=
60, 205880360, 3216219368, 136189727, 10680, 0, 5, 0, 205880360, 10680,=20
          3216219416, 136178778, 10680, 0, 0, 136190049, 205880360, 2684354=
560, 10680, 0, 0, 0, 10680, 142062624, 146213216, 0, 3216219480,=20
          136178778, 0, 0, 0, 2684354560, 0, 0, 0, 0, 34880, 0, 0, 14205194=
4, 142062624, 3221225472, 3216219528, 136180858, 0, 0, 34880, 142086824,=20
          267, 3221225472, 0, 0, 34880, 0, 3216219560, 136180931, 142051944=
, 197263600, 34880, 3998912, 0, 2684354560, 3216219592, 137103451, 0, 0,=20
          146213216, 3221225472, 0, 0, 3216219672, 137105158, 0, 0, 6, 1420=
51944, 0, 0, 0, 0, 0, 0, 3999352, 0, 141622128, 141622128, 3216219704,=20
          136180194, 0, 0, 3216219704, 137103558, 205880360, 2684354560, 32=
16219752, 136178778, 0, 0, 3216219752, 136189727, 205880360, 0,=20
          3216219784, 136178778, 0, 0, 0, 142051944, 0, 205880360, 0, 0...}
        tmp_buf =3D 0xbfb39b50 "6"
        buf =3D <optimized out>
        buf_size =3D 2048
        data =3D <optimized out>
        data_len =3D 2036
        ret_len =3D 12
        total =3D 12
        arg_ret =3D 0x0
        reply32 =3D {0 <repeats 512 times>}
        reply =3D 0xbfb3a350 ""
        preply =3D 0x0
        ret_code =3D <optimized out>
        flag =3D 0
        name =3D <optimized out>
        tmp_name =3D 0x83d7885 "preeditAttributes"
#10 0xb73c82ad in XSetICValues (ic=3D0xa7b8510) at ../../../src/xlibi18n/IC=
Wrap.c:332
        var =3D 0xbfb3aba4 "\205x=3D\bP\334\313\021"
        total_count =3D 1
        args =3D 0xd3a73b8
        ret =3D <optimized out>
#11 0x081c4ed7 in xic_set_preeditarea (w=3D0x10fb2128, x=3D270, y=3D670) at=
 xfns.c:2204
        f =3D 0xa78fed0
        attr =3D 0x11cbdc50
        spot =3D {
          x =3D 279,=20
          y =3D 686
        }
#12 0x081b8628 in x_draw_window_cursor (w=3D0x10fb2128, glyph_row=3D0xbbc17=
8c, x=3D270, y=3D670, cursor_type=3DFILLED_BOX_CURSOR, cursor_width=3D1, on=
_p=3Dtrue,=20
    active_p=3Dtrue) at xterm.c:8959
        f =3D 0xa78fed0
#13 0x080f0e75 in display_and_set_cursor (w=3D0x10fb2128, on=3Dtrue, hpos=
=3D30, vpos=3D35, x=3D270, y=3D670) at xdisp.c:27943
        f =3D 0xa78fed0
        new_cursor_type =3D 0
        new_cursor_width =3D 1
        active_cursor =3D true
        glyph_row =3D 0xbbc178c
        glyph =3D 0x1254fa98
#14 0x081a589d in x_update_window_end (w=3D0x10fb2128, cursor_on_p=3Dtrue, =
mouse_face_overwritten_p=3Dfalse) at xterm.c:1164
No locals.
#15 0x0805cb6f in update_window (w=3D0x10fb2128, force_p=3Dtrue) at dispnew=
.c:3541
        end =3D 0x111f590c
        mode_line_row =3D 0x111f590c
        header_line_row =3D 0x0
        changed_p =3D false
        mouse_face_overwritten_p =3D false
        row =3D 0x111f590c
        yb =3D 703
        n_updated =3D 0
        desired_matrix =3D 0x10e0dfb0
        paused_p =3D false
        preempt_count =3D 9
        rif =3D 0x844b440 <x_redisplay_interface>
#16 0x0805beb8 in update_window_tree (w=3D0x10fb2128, force_p=3Dtrue) at di=
spnew.c:3219
        paused_p =3D false
#17 0x0805be7e in update_window_tree (w=3D0x11bc74f8, force_p=3Dtrue) at di=
spnew.c:3217
        paused_p =3D false
#18 0x0805bab6 in update_frame (f=3D0xa78fed0, force_p=3Dtrue, inhibit_hair=
y_id_p=3Dfalse) at dispnew.c:3108
        paused_p =3D 160
        root_window =3D 0x11bc74f8
#19 0x080b4592 in redisplay_internal () at xdisp.c:13860
        mini_window =3D -6917529027465365504
        mini_frame =3D 0xb73bb273 <_XEventsQueued+131>
        w =3D 0x10fb2128
        sw =3D 0x10fb2128
        fr =3D 0xa78fed0
        pending =3D false
        must_finish =3D false
        match_p =3D true
        tlbufpos =3D {
          charpos =3D 0,=20
          bytepos =3D 5007
        }
        tlendpos =3D {
          charpos =3D 51654,=20
          bytepos =3D 52388
        }
        number_of_visible_frames =3D 2
        count =3D 2
        sf =3D 0xa78fed0
        polling_stopped_here =3D true
        tail =3D 0
        frame =3D -6917529027498851832
        consider_all_windows_p =3D false
        update_miniwindow_p =3D false
#20 0x080b1038 in redisplay () at xdisp.c:13016
No locals.
#21 0x081f0974 in read_char (commandflag=3D1, map=3D-4611686018249749264, p=
rev_event=3D0, used_mouse_menu=3D0xbfb3be01, end_time=3D0x0) at keyboard.c:=
2540
        echo_current =3D true
        c =3D 0
        jmpcount =3D 0
        local_getcjmp =3D {{
            __jmpbuf =3D {0, 142051944, 177638656, 177638656, 0, 0},=20
            __mask_was_saved =3D 0,=20
            __saved_mask =3D {
              __val =3D {0, 6, 3221225472, 0, 0, 0, 0, 0, 0, 3216227448, 13=
6180931, 22960, 0, 240697696, 3221225472, 177638640, 22960, 3216227512,=20
                136178778, 22960, 0, 0, 3221225472, 177638640, 3221225472, =
22960, 0, 177638640, 177638640, 22960, 142074904, 177638640}
            }
          }}
        save_jump =3D {{
            __jmpbuf =3D {-1073741824, -1078739736, 136180858, 0, 0, 177638=
640},=20
            __mask_was_saved =3D -1073741824,=20
            __saved_mask =3D {
              __val =3D {177638640, 0, 3216227608, 136178778, 0, 0, 0, 1361=
80931, 142074904, 3221225472, 0, 0, 175701712, 2684354560, 0, 142051944,=20
                175701712, 175701712, 3216227656, 136180858, 0, 0, 5, 0, 17=
5701712, 2684354560, 0, 0, 0, 175701712, 3216227688, 136180931}
            }
          }}
        tem =3D 762952218203032832
        save =3D 588121329735285752
        previous_echo_area_message =3D 0
        also_record =3D 0
        reread =3D false
        gcpro1 =3D {
          next =3D 0xc0000000,=20
          var =3D 0xbfb3bce8,=20
          nvars =3D 136180858
        }
        gcpro2 =3D {
          next =3D 0xc0000000,=20
          var =3D 0xbfb3bce8,=20
          nvars =3D 136180858
        }
        polling_stopped_here =3D false
        orig_kboard =3D 0xa7d9a38
#22 0x082070b7 in read_key_sequence (keybuf=3D0xbfb3bfc0, bufsize=3D30, pro=
mpt=3D0, dont_downcase_last=3Dfalse, can_return_switch_frame=3Dtrue,=20
    fix_current_buffer=3Dtrue, prevent_redisplay=3Dfalse) at keyboard.c:9153
        interrupted_kboard =3D 0xa7d9a38
        interrupted_frame =3D 0xa78fed0
        key =3D 0
        used_mouse_menu =3D false
        echo_local_start =3D 0
        last_real_key_start =3D 0
        keys_local_start =3D 0
        new_binding =3D 8795814952
        count =3D 2
        t =3D 0
        echo_start =3D 0
        keys_start =3D 0
        current_binding =3D -4611686018249749264
        first_event =3D 0
        first_unbound =3D 31
        mock_input =3D 0
        fkey =3D {
          parent =3D -4611686018251217424,=20
          map =3D -4611686018251217424,=20
          start =3D 0,=20
          end =3D 0
        }
        keytran =3D {
          parent =3D -4611686018285233600,=20
          map =3D -4611686018285233600,=20
          start =3D 0,=20
          end =3D 0
        }
        indec =3D {
          parent =3D -4611686018251217440,=20
          map =3D -4611686018251217440,=20
          start =3D 0,=20
          end =3D 0
        }
        shift_translated =3D false
        delayed_switch_frame =3D 0
        original_uppercase =3D -4633151852644155772
        original_uppercase_position =3D -1
        dummyflag =3D false
        starting_buffer =3D 0xc457c28
        fake_prefixed_keys =3D 0
        gcpro1 =3D {
          next =3D 0xa8025e0,=20
          var =3D 0xc0000000,=20
          nvars =3D 176170464
        }
#23 0x081ec356 in command_loop_1 () at keyboard.c:1402
        cmd =3D 3356152
        keybuf =3D {4611686018427387918, 0, 158840, 0, -9223372036712723864=
, 610108453813223424, 1238064455534673168, 584892334667448360, 0,=20
          -4611686018139128560, -9223372036716047632, 0, 0, 584892648200061=
000, 0, 584883401135472760, 0, 585100641660043264, 0, 0, 14560,=20
          610108453813223424, 62534723829762, 584892334667448488, 0, -46116=
86018427387904, 0, 0, 3221225472, 584892648200061128}
        i =3D 1
        prev_modiff =3D 76837
        prev_buffer =3D 0xc457c28
        already_adjusted =3D false
#24 0x082bc6a3 in internal_condition_case (bfun=3D0x81ebd5a <command_loop_1=
>, handlers=3D14560, hfun=3D0x81eaf9b <cmd_error>) at eval.c:1348
        val =3D 584883401135472952
        c =3D 0x8f23700
#25 0x081eb7f1 in command_loop_2 (ignore=3D0) at keyboard.c:1134
        val =3D 4611686018427387904
#26 0x082bb6ef in internal_catch (tag=3D36000, func=3D0x81eb7b5 <command_lo=
op_2>, arg=3D0) at eval.c:1108
        val =3D 142087944
        c =3D 0x8f23620
#27 0x081eb76f in command_loop () at keyboard.c:1113
No locals.
#28 0x081ea9ae in recursive_edit_1 () at keyboard.c:723
        count =3D 1
        val =3D 0
#29 0x081eac6f in Frecursive_edit () at keyboard.c:794
        count =3D 0
        buffer =3D 0
#30 0x081e826c in main (argc=3D2, argv=3D0xbfb3c374) at emacs.c:1626
        dummy =3D -5313403135367053311
        stack_bottom_variable =3D -120 '\210'
        do_initial_setlocale =3D true
        dumping =3D false
        skip_args =3D 1
        rlim =3D {
          rlim_cur =3D 8388608,=20
          rlim_max =3D 18446744073709551615
        }
        no_loadup =3D false
        junk =3D 0x0
        dname_arg =3D 0x0
        ch_to_dir =3D 0x0
        original_pwd =3D 0x0

Lisp Backtrace:
"redisplay_internal (C function)" (0x0)

In GNU Emacs 25.0.50.2 (i686-pc-linux-gnu, X toolkit, Xaw scroll bars)
 of 2015-08-10 on Aurora
Repository revision: 3b112f6389edd1b55ed32cd4836a1d2cdafb524f
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04.3 LTS

Configured using:
 `configure --with-x-toolkit=3Dlucid --enable-checking --with-wide-int
 'CFLAGS=3D -O0 -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GSETTINGS NOTIFY GNUTLS
LIBXML2 FREETYPE LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS LUCID X11

Important settings:
  value of $LANG: fr_BE.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix




Acknowledgement sent to Nicolas Richard <youngfrog@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21234; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 7 May 2022 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.